Upload Bundle

Upload Bundle
Upload and Validate Upgrade Bundle

Uploads an HCX Manager upgrade bundle and validates it:

  1. Signature
  2. Checksum
  3. Version compatibility

Upload and validation run asynchronously. Poll /api/admin/v2/upgrade/bundle/upload/status to track progress.

Request
URI
POST
https://{server}:9443/api/admin/v2/upgrade/bundle/upload
COPY
Request Body
File of type(s) multipart/form-data
Required  

Show optional properties

{
    "file": "string"
}
{
    "file": "string",
    "checksum": "3b3e5a1f6c9d4b2a8e7f5c1d0a9b8e7f6c5d4b3a2918273645fedcba0987654"
}
string
file
Required  

Signed upgrade bundle file

string
checksum
Optional

Optional SHA-256 checksum of the bundle; used to detect and skip a duplicate upload of an already-uploaded bundle

Authentication
This operation uses the following authentication methods.
Responses
202

Upload request accepted; bundle is being uploaded and validated asynchronously

Operation doesn't return any data structure

400

Invalid request, e.g. missing or invalid upgrade bundle file

Returns UpgradeErrorResponse of type(s) application/json
{
    "errorCode": "UPGRADE_IN_PROGRESS",
    "message": "Another upgrade process for HCX Manager is already in progress.",
    "remediation": "Wait for the current upgrade to complete before retrying."
}
string
errorCode
Optional

The error code

string
message
Optional

The localized error message

string
remediation
Optional

Remediation for the error


409

Conflict - an upload or upgrade is already in progress

Returns UpgradeErrorResponse of type(s) application/json
{
    "errorCode": "UPGRADE_IN_PROGRESS",
    "message": "Another upgrade process for HCX Manager is already in progress.",
    "remediation": "Wait for the current upgrade to complete before retrying."
}
string
errorCode
Optional

The error code

string
message
Optional

The localized error message

string
remediation
Optional

Remediation for the error


500

Internal server error

Returns UpgradeErrorResponse of type(s) application/json
"UpgradeErrorResponse Object"
string
errorCode
Optional

The error code

string
message
Optional

The localized error message

string
remediation
Optional

Remediation for the error


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: multipart/form-data' -d '{"file":"string"}' https://{api_host}/api/admin/v2/upgrade/bundle/upload